/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// File generated by ranges2go DO NOT EDIT

package cloudcidrs

import (
	"net/netip"
)

// AWS cloud
const AWS = "AWS"
// GCP cloud
const GCP = "GCP"

// regionToRanges contains a preparsed map of cloud IPInfo to netip.Prefix
var regionToRanges = map[IPInfo][]netip.Prefix{
	{Cloud: AWS, Region: "GLOBAL"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 156, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{111, 13, 171, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{111, 13, 171, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{111, 13, 185, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{111, 13, 185, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{116, 129, 226, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{116, 129, 226, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{118, 193, 97, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{118, 193, 97, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{119, 147, 182, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{119, 147, 182, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 232, 236, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 232, 236, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 253, 240, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 253, 241, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 253, 245, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 253, 245, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 52, 12, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 52, 153, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 52, 22, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{120, 52, 39, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 224, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 224, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 225, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 226, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 227, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 228, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 229, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 230, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 231, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 232, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 233, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 249, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 32, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 45, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 35, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 128, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 136, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 140, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 255, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 72, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 76, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 78, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 80, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 86, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 88, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 176, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{143, 204, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{144, 220, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 158, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 0, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 0, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 12, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 16, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 18, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 20, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 28, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 3, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 30, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 32, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 34, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 4, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 197, 8, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 154, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 160, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 164, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 172, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 238, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 244, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 64, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 68, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{180, 163, 57, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{180, 163, 57, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 164, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 166, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 168, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 172, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 173, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 174, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 192, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 200, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 208, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 218, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 250, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 252, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{216, 137, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{223, 71, 11, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{223, 71, 71, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{223, 71, 71, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 9, 140, 0, 36, 33, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 9, 140, 0, 36, 33, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 45),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 83, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 45),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 83, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 83, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 43),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 83, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 42),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 83, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 41),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 161, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 161, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 162, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 162, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 163, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 163, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 13, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 14, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 38),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 43),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 245, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 245, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 46),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 245, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 46),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 245, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 45),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 245, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 42),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 245, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 41),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 37),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 144, 0, 15, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 160, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 0, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 6, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 33, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 8, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{36, 103, 232, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{36, 103, 232, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 124, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 222, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 223, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 0, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 4, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 128, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 134, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 84, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 110, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 144, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 154, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 160, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 172, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 176, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 184, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 188, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 224, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 240, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 182, 248, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 192, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 230, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 230, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 230, 192, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 230, 200, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 230, 208, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 230, 224, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 134, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 204, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 208, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{58, 254, 138, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{58, 254, 138, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{63, 246, 114, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{63, 246, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 8, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 9, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 9, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 132, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 152, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{75, 2, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 100, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 101, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 102, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 103, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 104, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 95, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 188, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 189, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 190, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 84, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 86, 0, 0}), 16),
	},
	{Cloud: AWS, Region: "af-south-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 121, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 121, 196}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 122, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 132, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 165, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 176, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 176, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 202, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 244, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 244, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 33, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 33, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 33, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 35, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 244, 35, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 1, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 114, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 127, 232}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 155, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 155, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 166, 128}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 166, 132}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 166, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 241, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 93, 140}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 93, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 93, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 245, 93, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 246, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 246, 108, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 246, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 246, 70, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 247, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 91, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 10, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 52, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 138, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 72, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 72, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 72, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 64}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 65}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 66}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 68}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 70}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 72}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 74}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 76}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 78}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 80}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 82}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 84}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 86}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 88}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 90}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 92}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 94}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 208, 96}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 92, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 154, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 16, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 16, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 16, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 34, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 228, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 103, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 146}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 147}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 57, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 30, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 175, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 176, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 180, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 229, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 40, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 104, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 148, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 235, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 144, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 152, 0}), 22),
	},
	{Cloud: AWS, Region: "ap-east-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 60, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 11, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 11, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 16, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 16, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 7, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 7, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 85, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 86, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 73, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 74, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 74, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 114, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 135, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 6, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 8, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 162, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 162, 162, 96}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 162, 52, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 163, 196, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 163, 206, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 163, 63, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 127, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 127, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 127, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 189, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 221, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 221, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 162, 221, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 163, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 163, 139, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 163, 201, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 163, 201, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 163, 204, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 163, 66, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 163, 68, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 166, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 166, 20, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 166, 20, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 166, 20, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 166, 237, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 166, 237, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 166, 237, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 167, 111, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 167, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 167, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 167, 88, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 167, 88, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 167, 88, 80}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 167, 88, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 32),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 224, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 224, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 224, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 250, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 35, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 236, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 107, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 198, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 249, 47, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 248, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 224, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 225, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 35, 212}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 35, 213}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 160, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 162, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 226, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 241, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 46, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 88, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 142, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 241, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 96, 0}), 24),
	},
	{Cloud: AWS, Region: "ap-northeast-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{103, 4, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 136}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 137}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 81}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 82}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 83}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 112, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 112, 191, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 113, 196, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 113, 203, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 230, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 230, 21, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 230, 21, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 230, 21, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 231, 6, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 115, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 69, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 70, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 0, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 0, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 15, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 15, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 18, 20, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 144}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 79, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 1, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 56, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 152, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 34, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 129, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 152, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 154, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 160, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 161, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 59, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 76, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 77, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 77, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 105, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 133, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 141, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 15, 128}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 15, 130}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 77, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 90, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 91, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 37, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{175, 41, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 34, 0, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 34, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 176, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 176, 203, 120}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 177, 156, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 178, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 179, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 179, 48, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 179, 48, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 180, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 180, 178, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 180, 180, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 180, 88, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 181, 204, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 181, 204, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 181, 242, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 182, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 182, 96, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 183, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 183, 37, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 103, 0, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 20, 7, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 20, 15, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 64, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 64, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 64, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 64, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 250, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{27, 0, 0, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 162, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 23, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 64, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 85, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 96, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 96, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 96, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 112, 96, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 113, 218, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 113, 218, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 113, 218, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 113, 218, 68}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 113, 218, 72}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 113, 218, 76}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 114, 164, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 39, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 152, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 114, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 164, 212}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 164, 232}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 164, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 255, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 36, 140}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 36, 142}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 36, 144}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 36, 148}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 36, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 36, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 37, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 72, 37, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 73, 115, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 73, 115, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 73, 4, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 74, 77, 240}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 75, 130, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 75, 131, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 75, 131, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 76, 252, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 77, 0, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 77, 112, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 77, 124, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 206, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 51, 224, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 216, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 225, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 225, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 229, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 230, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 192, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 194, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 196, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 199, 127, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 136, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 150, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 152, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 16, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 162, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 172, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 195, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 196, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 200, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 201, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 68, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 68, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 187}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 188}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 189}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 190}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 195}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 196}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 197}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 121, 198}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 146}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 147}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 148}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 149}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 156}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 157}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 174}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 175}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 176}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 177}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 178}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 239}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 244}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 245}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 246}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 247}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 248}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 249}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 250}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 251}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 252}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 253}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 254}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 255}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 150, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 245, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 250, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 66, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 73, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 3}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 200, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 8, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 243, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 30, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 34, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 150, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 168, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 178, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 199, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 238, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 52, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 200, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 225, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 248, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 248, 220, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 250, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 250, 251, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 250, 253, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 64, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 92, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 95, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{57, 180, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 110, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 111, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 139, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 160, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 244, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 56, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 208, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 170, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 84, 0}), 22),
	},
	{Cloud: AWS, Region: "ap-northeast-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 119}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 120}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 145, 96}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 199, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 124, 247, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 125, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 209, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 209, 1, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 209, 1, 56}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 209, 1, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 209, 1, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 209, 71, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 209, 71, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 11, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 11, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 164, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 164, 156, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 164, 243, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 164, 243, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 164, 243, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 164, 243, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 165, 193, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 165, 193, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 165, 224, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 76, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 9, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 196, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 207, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 60, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 74, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 74, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 75, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 81, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 116, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 40, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 32, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 32, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 32, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 32, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 250, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 37, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 101, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 228, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 228, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 37, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 38, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 89, 192}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 89, 196}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 34, 89, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 35, 130, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 35, 160, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 167, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 167, 28}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 167, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 167, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 167, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 190, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 192, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 194, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 202, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 245, 204}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 245, 232}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 3, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 3, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 3, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 36, 3, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 38, 131, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 38, 229, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 38, 248, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 38, 90, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 39, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 39, 114, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 39, 116, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 39, 82, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 140, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 144, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 109, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 200, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 249, 45, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 227, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 227, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 228, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 144, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 148, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 202, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 204, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 60, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 78, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 78, 247, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 79, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 198}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 199}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 137, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 247, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 248, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 6, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 111, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 192, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 252, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 116, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 180, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 180, 184, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 116, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 40, 152}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 24, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 144, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 141, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 242, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 184, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 188, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 168, 0}), 24),
	},
	{Cloud: AWS, Region: "ap-northeast-3"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 115}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 224}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 228}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 232}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 131, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 177, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 180, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 194, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 217, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 217, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 227, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 227, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 228, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 228, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 228, 136}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 33, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 33, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 208, 33, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 28, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 20, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 20, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 92, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 92, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 10, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 133, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 133, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 174, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 176, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 24, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 24, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 24, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 24, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 24, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 152, 8, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 168, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 168, 40, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 168, 40, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 77, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 181, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 75, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 75, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 75, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 250, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 37, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 240, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 110, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 128}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 130}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 134}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 64}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 66}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 68}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 70}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 120, 176}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 120, 177}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 19, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 157, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 158, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 181, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 182, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 225, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{56, 156, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 96, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 140, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 243, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 100, 0}), 24),
	},
	{Cloud: AWS, Region: "ap-south-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 86}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 91}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 126, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 126, 23, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 126, 23, 144}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 126, 23, 152}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 126, 23, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 126, 23, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 126, 243, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 127, 70, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 127, 70, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 127, 70, 144}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 127, 70, 152}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 127, 70, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 200, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 202, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 204, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 232, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 232, 67, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 232, 67, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 233, 177, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 233, 177, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 233, 177, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 234, 221, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 234, 221, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 234, 8, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 235, 197, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 235, 228, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 235, 6, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 105, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 117, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 13, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 13, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 22, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 25, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 25, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 68, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 68, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 177, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 73, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 0, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 206, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 206, 137, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 206, 137, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 207, 13, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 207, 13, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 207, 213, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 128, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 136, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 227, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 228, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 232, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 194, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 203, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 215, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 253, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 54, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 70, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 70, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 70, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 115, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 210, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 17}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 228}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 232}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 217, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 220, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 235, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 8, 240}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 8, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 83, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 84, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 40, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 160, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 160, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 160, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 160, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 250, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 130, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 130, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 108, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 108, 13, 124}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 109, 72, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 109, 72, 152}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 110, 57, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 110, 71, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 111, 110, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 111, 251, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 111, 90, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 32, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 208, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 212, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 6, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 6, 70, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 6, 70, 76}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 7, 10, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 7, 25, 48}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 154, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 100, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 204, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 249, 46, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 223, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 223, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 228, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 228, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 228, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 160, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 62, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 64, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 66, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 66, 194, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 116, 148}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 116, 149}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 116, 250}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 116, 251}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 204}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 205}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 244}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 245}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 126}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 127}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 128}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 129}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 130}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 131}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 132}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 133}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 68, 212}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 68, 213}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 79, 20}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 79, 21}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 20, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 64, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 96, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 100, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 101, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 0, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 0, 192, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 0, 192, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 0, 234, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 103, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 103, 200}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 103, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 103, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 172, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 1, 174, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 2, 14, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 2, 16, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{65, 2, 192, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 141, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 60, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 136, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 145, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 238, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 160, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 72, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 76, 0}), 22),
	},
	{Cloud: AWS, Region: "ap-south-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 123}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 124}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 125}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 126}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 127}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 64, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 24, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 3, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 3, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 3, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 3, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 6, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 6, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 94, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 246, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 125, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 127, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 128, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 151, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 151, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 152, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 192, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 196, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 196, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 64, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 68, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 68, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 76, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 78, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 60, 78, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 35, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 44, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 108, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 115, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 184, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 186, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{98, 130, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 87, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 87, 4, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 87, 8, 0}), 21),
	},
	{Cloud: AWS, Region: "ap-southeast-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{122, 248, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 212, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 212, 132, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 212, 209, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 212, 209, 94}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 212, 209, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 212, 3, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 212, 3, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 20, 132}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 20, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 20, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 20, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 21, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 22, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 24, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 213, 75, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 214, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 214, 118, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 214, 124, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 214, 224, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 214, 228, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 215, 92, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 215, 93, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 215, 93, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 228, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 228, 69, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 229, 187, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 229, 187, 232}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 107, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 125, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 127, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 250, 186, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 251, 113, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 251, 116, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 18, 22, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 82, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 192, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 240, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 44, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 35, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 16}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 17}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 22}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 24}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 26}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 28}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 133, 30}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 163, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 164, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 200, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 243, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 251, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 251, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 251, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 251, 6}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 29, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 152}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 154}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 156}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 158}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 160}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 162}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 19}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 53, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 6, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 77, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 77, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 78, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 108, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 14, 10}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 14, 11}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 14, 72}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 219, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 116}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 117}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 176}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 177}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 178}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 180}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 181}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 182}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 183}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 184}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 185}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 186}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 187}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 188}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 189}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 190}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 191}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 192}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 194}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 196}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 198}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 200}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 202}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 204}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 206}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 208}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 210}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 212}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 214}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 216}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 218}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 220}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 222}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 224}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 228}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 230}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 232}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 236}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 238}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 240}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 244}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 246}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 252}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 3, 254}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 78, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 38, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 156, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{175, 41, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 136, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 136, 1, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 136, 1, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 138, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 138, 134, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 138, 244, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 139, 204, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 139, 204, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 140, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 140, 177, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 140, 177, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 148, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 148, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 150, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 152, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 154, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 226, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 238, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 238, 68}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 66, 248}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 141, 66, 252}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 142, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 143, 204, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 248, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{203, 83, 220, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 24, 7, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 24, 15, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 128, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 128, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 128, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 128, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 250, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 132, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 133, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 0, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 0, 5, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 0, 5, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 41, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 146, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 118, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 250, 192, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 250, 193, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 137, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 137, 224, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 51, 216, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{47, 128, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 184, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 205, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 224, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 230, 204}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 230, 206}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 230, 208}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 230, 210}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 231, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 124, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 128, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 132, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 164, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 180, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 184, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 40, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 220, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 220, 191, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 221, 221, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 74, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 76, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 76, 127, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 76, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 77, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 106}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 107}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 108}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 109}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 110}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 111}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 112}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 113}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 114}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 115}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 116}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 117}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 194}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 195}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 19, 236}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 19, 237}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 63, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 8, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 11, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 212, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 242, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 35, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 151, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 169, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 179, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 199, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 226, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 227, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 251, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 251, 31, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 254, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 255, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 255, 254, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 102, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 103, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 104, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 105, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 168}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 108, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 128, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 130, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 132, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 136, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 144, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 94, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 104, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 143, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 161, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 240, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 173, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 102, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 87, 0, 0}), 22),
	},
	{Cloud: AWS, Region: "ap-southeast-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 87}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 88}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 210, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 210, 2, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 210, 67, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 12, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 12, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 12, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 12, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 12, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 12, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 166, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 211, 166, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 236, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 236, 8, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 236, 82, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 236, 82, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 239, 158, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 102, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 109, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 12, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 12, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 16, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 16, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 54, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 54, 63, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 55, 255, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 18, 23, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 83, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 3, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 128, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 20, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 149, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 149, 10}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 149, 11}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 149, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 149, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 210, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 212, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 22, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 222, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 23, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 78, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 78, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 78, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 8}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 9}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 119, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 142, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 72, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 82, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 39, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 176, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 3, 179, 0, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 28, 7, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 28, 15, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 192, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 192, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 192, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 192, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 250, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 133, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 133, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 104, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 104, 82, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 105, 172, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 105, 5, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 105, 5, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 41, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 24, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 24, 1, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 24, 227, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 138, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 138, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 178, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 248, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 37, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 37, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 38, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 40, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 43, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 44, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 47, 28}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 25, 47, 32}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 109, 216}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 127, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 137, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 138, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 140, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 246, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 248, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 58, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 81, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 81, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 82, 236}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 82, 240}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 83, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 84, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 86, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 88, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 26, 88, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 164, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 168, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 249, 44, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 210, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 224, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 228, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 229, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 62, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 64, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 64, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 65, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 130}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 131}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 136}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 137}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 138}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 139}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 182, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 32, 183}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 33, 224}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 33, 225}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 78, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 13, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 176}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 177}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 178}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 180}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 181}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 182}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 183}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 128, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 241, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 153, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 153, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 206, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 192, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 203, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 204, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 252, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 252, 254, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 252, 79, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 253, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 66, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 79, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 106, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 107, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 108, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 109, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 0, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 72, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 8, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 80, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 144, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 239, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 212, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 184, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 80, 0}), 22),
	},
	{Cloud: AWS, Region: "ap-southeast-3"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 102}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 103}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 104}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 105}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 106}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 138}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 139}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 122, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 122, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 151, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 154, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 154, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 154, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 221, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 136, 38, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 137, 114, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 137, 114, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 137, 58, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 137, 58, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 137, 58, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 137, 58, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 110, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 71, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 16, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 16, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 17, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 17, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 22, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 22, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 36, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 36, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 92, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 178, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 217, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 164}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 4, 166}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 64, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 64, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 64, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 78, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 1}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 2}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 3}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 4}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 168, 64, 0, 0, 0, 0, 0, 0, 0, 0}), 58),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 168, 128, 0, 0, 0, 0, 0, 0, 0, 0}), 58),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 168, 192, 0, 0, 0, 0, 0, 0, 0, 0}), 58),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 58),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 169, 64, 0, 0, 0, 0, 0, 0, 0, 0}), 58),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 33, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 218, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 218, 56, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 218, 56, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 218, 56, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 218, 71, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 177, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 178, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 235, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 237, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 228, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 232, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 238, 251}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 238, 253}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 238, 255}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 240, 0}), 20),
	},
	{Cloud: AWS, Region: "ap-southeast-4"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 131}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 132}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 133}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 134}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 59, 135}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 67, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 18, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 18, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 37, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 51, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 51, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 51, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 26, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 144, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 144, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 161, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 181, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 182, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 67, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 67, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 67, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 69, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 69, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 50, 70, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 38, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 40, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 250, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 166, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 168, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 64, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 86, 124}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 86, 125}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 86, 126}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 88, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 72, 0}), 21),
	},
	{Cloud: AWS, Region: "ap-southeast-6"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 208, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 210, 0, 0}), 15),
	},
	{Cloud: AWS, Region: "ca-central-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 7, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 7, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 156, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 156, 38, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 156, 38, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 84, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 8, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 33, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 16, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 16, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 16, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 43, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 43, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 43, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 222, 43, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 223, 100, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 223, 102, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 223, 52, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 21, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 79, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 79, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 79, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 90, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 91, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 109, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 4, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 52, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 16, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 16, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 16, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 16, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 129, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 42, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 252, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 96, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 96, 143, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 96, 143, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 96, 2, 68}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 96, 2, 72}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 96, 84, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 192, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 192, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 20, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 217, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 218, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 219, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 230, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 49, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 99, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 99, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 99, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 97, 99, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 98, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 98, 171, 196}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 98, 171, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 98, 171, 92}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 98, 24, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 98, 24, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 98, 86, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 99, 124, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 99, 194, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 99, 196, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 182, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 182, 14, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 182, 14, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 182, 14, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 255, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 38, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 38, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 38, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 38, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 38, 56}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 38, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 183, 92, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 119, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 199, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 201, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 201, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 60, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 196}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 197}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 192}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 193}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 194}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 195}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 196}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 197}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 198}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 199}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 200}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 201}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 202}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 193, 203}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 5, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 75, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 14, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 64, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 145, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 146, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 190, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 250, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 124, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 128, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 150, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 233, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 79, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 79, 126, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 79, 169, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 79, 20, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 79, 20, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 79, 34, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 174, 0}), 24),
	},
	{Cloud: AWS, Region: "ca-west-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 89, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 100, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 190, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 190, 8, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 56, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 58, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 64),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 26, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 42, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 42, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{40, 176, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{40, 178, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 250, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 170, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 168, 0}), 21),
	},
	{Cloud: AWS, Region: "cn-north-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 1, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 1, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 113, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 144, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 15, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 15, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 176, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 36, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 36, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 36, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 57, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 58, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 58, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 59, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 79, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 79, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 79, 244}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{140, 179, 79, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 141, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 41, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 49, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 88, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 89, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 46, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 64, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 64, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 64, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 64, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 131, 204, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 131, 204, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 131, 204, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 127, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 160, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 248, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 249, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 250, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 252, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 254, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 255, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 195, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 196, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 196, 3, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 197, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 197, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 198, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 198, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 51, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 51, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 51, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 51, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 51, 240}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 80, 51, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 113, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 113, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 113, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 124, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 135, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 137, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 151, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 167, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 167, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 216, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 81, 232, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 0, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 48, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 52, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 57, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 58, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 58, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 58, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 59, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 64, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 66, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 68, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 70, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 71, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 76, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 88, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 89, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 90, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 91, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 92, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 222, 96, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 223, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 131, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 131, 196, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 132, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 136, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 137, 0, 0}), 18),
	},
	{Cloud: AWS, Region: "cn-northwest-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{161, 189, 148, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{161, 189, 23, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{161, 189, 23, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{161, 189, 66, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{161, 189, 66, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 1, 0, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 46, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 64, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 64, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 64, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 64, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 131, 204, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 131, 204, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 131, 204, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 4, 194, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 160, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 248, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 249, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 250, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 252, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 254, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 15, 128, 255, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 192, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 193, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{43, 194, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 1, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 127, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 160, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 164, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 168, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 169, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 169, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 170, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 171, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 176, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 180, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 184, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 187, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 188, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 82, 92, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 25, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 25, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 26, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 26, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 26, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 26, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 33, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 33, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 33, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 33, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 33, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 33, 96}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 34, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 34, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 34, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 34, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 34, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 35, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 35, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 5, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 83, 58, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 100}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 101}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 102}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 103}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 104}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 105}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 92}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 93}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 94}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 95}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 96}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 97}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 98}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 99}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{68, 79, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{68, 79, 2, 244}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{68, 79, 2, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{68, 79, 2, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 230, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 230, 219, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 230, 226, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 230, 227, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 230, 228, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 231, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 234, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 234, 197, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 234, 197, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 235, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 235, 162, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 235, 170, 0}), 23),
	},
	{Cloud: AWS, Region: "eu-central-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 87, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 9, 76}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 92, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 92, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 18, 18, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 152}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 68, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 4, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 144, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 152, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 64, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 3, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 131, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 144, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 241, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 52, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 64, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 65, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 65, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 80, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 85, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 10, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 104, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 224}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 228}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 230}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 232}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 240}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 244}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 246}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 252}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 255}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 120, 62}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 100}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 102}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 104}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 106}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 108}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 110}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 112}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 114}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 116}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 92}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 94}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 96}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 122, 98}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 110}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 112}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 114}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 116}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 118}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 122}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 124}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 126}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 128}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 130}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 134}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 136}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 138}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 140}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 142}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 144}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 146}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 148}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 149}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 150}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 151}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 152}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 154}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 156}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 158}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 19}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 224}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 228}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 240}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 244}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 246}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 252}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 255}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 62}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 64}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 66}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 129, 69}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 139, 116}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 139, 120}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 139, 124}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 213, 0}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 213, 1}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 100}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 102}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 104}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 106}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 108}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 110}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 112}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 114}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 116}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 118}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 122}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 124}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 126}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 128}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 130}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 51}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 88}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 89}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 92}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 93}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 94}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 96}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 230, 98}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 245, 122}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 27, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 27, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 27, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 5, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 35, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 24, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 153, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 156, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 156, 52, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 156, 54, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 157, 237, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 157, 237, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 157, 71, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 184, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 184, 138, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 184, 2, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 184, 203, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 192, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 192, 142, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 192, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 194, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 161, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 161, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 161, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 161, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 161, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 161, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 196, 161, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 198, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 89, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 255, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 46),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 255, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 46),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 255, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 46),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 0, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 35),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 64, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 64, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 64, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 64, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 122, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 120, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 120, 181, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 120, 181, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 122, 128, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 12, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 14, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 15, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 44, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 44, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 44, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 44, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 123, 44, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 124, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 127, 48, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 127, 48, 244}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 127, 48, 248}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 127, 74, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 35, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 33, 35, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 134, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 136, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 1, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 1, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 1, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 1, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 1, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 226, 232}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 64, 226, 240}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 65, 246, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 65, 246, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 66, 172, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 68, 251, 176}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 68, 251, 232}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 70, 195, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 70, 195, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 70, 211, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 70, 212, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 71, 104, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 71, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 72, 168, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 72, 33, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 74, 148, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 75, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 156, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 157, 127, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 158, 127, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 158, 136, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 105, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 188, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 209, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 210, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 140, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 168, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 169, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 208, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 210, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 211, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 218, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 44, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 72, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 28, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 29, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 184, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 57, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 57, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 58, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 59, 127, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 132}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 133}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 134}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 135}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 138}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 139}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 237}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 238}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 136, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 146, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 17, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 204, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 69, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 248, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 106, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 4, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 54, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 56, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 93, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{57, 104, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 86, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 87, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 88, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 89, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 188, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 136, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 158, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 247, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 160, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 168, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 163, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 99, 0}), 24),
	},
	{Cloud: AWS, Region: "eu-central-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 39, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 244, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 140, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 140, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 141, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 183, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 188, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 194, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 54, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 54, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 56, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 56, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 7, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 62, 70, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 0, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 43, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 52, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 121, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 96, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 250, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 139, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 140, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 80, 0}), 21),
	},
	{Cloud: AWS, Region: "eu-north-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 122, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 26, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 26, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 33, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 186, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 186, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 186, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 32, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 200}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 4, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 48, 74, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 49, 126, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 49, 143, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 49, 143, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 49, 253, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 49, 40, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 49, 42, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 50, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 50, 12, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 50, 89, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 120, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 253, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 29, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 29, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 71, 152}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 71, 160}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 71, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 71, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 95, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 51, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 53, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 53, 180, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 53, 63, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 53, 63, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 53, 63, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 232}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 240}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 72, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 168, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 53, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 136, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 68, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 68, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 69, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 117, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 118, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 203, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 10, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 9, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 16, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 16, 2, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 168, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 170, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 170, 199, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 171, 48, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 96, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 96, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 96, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 122, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 32, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 20, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 208, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 208, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 192}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 194}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 196}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 198}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 200}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 202}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 216, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 216, 10}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 216, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 216, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 216, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 216, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 192, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 208, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 220, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 152}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 153}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 23, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 169, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 227, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{63, 246, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 24, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 137, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 246, 0}), 24),
	},
	{Cloud: AWS, Region: "eu-south-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 21, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 46, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 160, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 160, 55, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 160, 90, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 135, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 135, 164}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 135, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 135, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 136, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 140, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 164, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 192, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 192, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 192, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 247, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 247, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 247, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 66, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 66, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 66, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 68, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 161, 68, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 90, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 51, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 143, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 187, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 76, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 76, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 76, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 229, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 102, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 102, 2, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 160, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 160, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 160, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 122, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 38, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 248, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 74, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 74, 136}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 74, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 74, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 86, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 87, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 152, 88, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 100, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 118, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 144, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 152, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 214, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 14}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 15}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 210}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 211}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 198}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 199}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 120}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 121}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 129, 95}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 131, 217}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 127}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 129}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 131}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 133}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 153}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 155}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 175}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 177}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 133, 181}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 134, 181}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 135, 195}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 18, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 151, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 152, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 224, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 1}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 10}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 13}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 14}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 17}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 18}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 2}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 21}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 22}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 25}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 26}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 29}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 30}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 33}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 34}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 37}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 38}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 41}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 42}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 45}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 46}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 49}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 5}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 50}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 53}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 54}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 57}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 58}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 6}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 61}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 62}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 65}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 66}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 69}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 70}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 73}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 74}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 77}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 78}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 81}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 82}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 85}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 86}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 89}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 9}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 90}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 93}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 236, 94}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 138, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 159, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 245, 0}), 24),
	},
	{Cloud: AWS, Region: "eu-south-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 38, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 38, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 38, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 38, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 38, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 38, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 160, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 184, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 184, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 194, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 196, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 64, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 64, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 65, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 71, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 100, 74, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 43, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 120, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 92, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 136, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 138, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 28, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 32, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 0}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 1}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 13}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 14}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 15}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 2}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 24}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 25}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 253}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 254}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 255}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 26}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 27}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 55, 3}), 32),
	},
	{Cloud: AWS, Region: "eu-west-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 128, 160, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 128, 162, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 118, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 119, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 121, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 1, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 1, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 19, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 19, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 19, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 19, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 2, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 2, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 2, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 2, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 36, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 36, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 4, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 4, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 49, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 5, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 62, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 80, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 9, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 9, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 93, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 93, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 93, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 93, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 75, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 89, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 144, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 132, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 150, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 166, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 176, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 182, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 188, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 188, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 189, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 19, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 19, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 19, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 19, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 19, 252}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 195, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 223, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 223, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 223, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 30, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 31, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 32, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 50, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 51, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 61, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 84, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 74}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 76}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 78}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 80}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 84}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 86}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 88}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 90}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 92}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 94}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 11, 96}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 121, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 13, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 164, 208}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 164, 210}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 164, 211}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 164, 220}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 164, 222}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 200, 60}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 200, 61}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 202, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 204, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 239, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 80, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 81, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 85, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 34, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 213, 232, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 213, 233, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 213, 234, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{172, 96, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 104, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 34, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 34, 159, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 34, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{178, 236, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 200, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 200, 212, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 201, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 202, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 202, 216, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 240, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 32, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{185, 143, 16, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{185, 48, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{195, 17, 0, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{208, 86, 90, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{209, 54, 184, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 131, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 131, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 240, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 24, 7, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 24, 15, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 128, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 128, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 128, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 128, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 122, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 34, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 176, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 180, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 180, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 180, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 186, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 186, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 186, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 186, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 186, 92}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 216, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 244, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 244, 240}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 245, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 248, 246, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 249, 28, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 250, 209, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 250, 210, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 250, 243, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 250, 244, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 104, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 104, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 105, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 105, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 106, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 109, 92}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 110, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 110, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 144, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 148, 120}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 152, 44}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 215, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 216, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 56, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 62, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 94, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 95, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 251, 95, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 252, 50, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 253, 134, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 253, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 72, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 240, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 242, 153, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 242, 153, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 242, 153, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 205, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 205, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 205, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 205, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 205, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 82, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 82, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 82, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 245, 82, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 248, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 250, 63, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 72, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{40, 180, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 137, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 137, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 51, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 51, 192, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 192, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 240, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 208, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 208, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 208, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 210, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 210, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 212, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 212, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 215, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 218, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 218, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 233, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 16, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 18, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 19, 124, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 208, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 212, 248, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 215, 218, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 215, 218, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 218, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 30, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 240, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 48, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 92, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 0, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 113, 164}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 113, 165}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 76}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 118}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 119}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 154}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 155}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 158}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 159}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 202}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 203}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 204}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 205}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 206}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 207}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 232}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 24}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 25}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 26}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 27}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 16, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 17, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 18, 178}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 18, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 21, 14}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 21, 15}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 242, 70}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 242, 71}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 32, 176}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 38, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 43, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 48, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 49, 146}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 49, 147}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 58, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 37}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 38}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 39}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 40}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 41}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 42}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 43}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 44}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 45}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 46}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 71, 47}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 81, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 93, 240}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 93, 241}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 96, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 196, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 216, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 24, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 26, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 5, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 104, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 244, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 60, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 61, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 154, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 155, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 170, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 194, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 216, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 220, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 228, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 228, 16, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 229, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 115, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 197, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 220, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 246, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 247, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 72, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 74, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 76, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 78, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{63, 246, 113, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{63, 32, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{63, 34, 60, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 114, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 115, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 116, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 117, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{67, 220, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 124, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{79, 125, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{87, 238, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 88, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 133, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 155, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 250, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 172, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 80, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 80, 34, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 80, 34, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 80, 34, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 80, 88, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 80, 88, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 162, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 87, 32, 0}), 22),
	},
	{Cloud: AWS, Region: "eu-west-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 120, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 18, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 18, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 26, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 27, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 27, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 27, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 48, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 40, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 40, 1, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 40, 202, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 40, 204, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 41, 1, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 78, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 5, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 48, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 153, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 158, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 165, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 173, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 189, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 190, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 190, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 255, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 43, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 55, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 86, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 10}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 12}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 14}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 248}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 252}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 44}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 45}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 46}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 9, 47}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 28, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 134, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 207, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 215, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 238, 36}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 238, 37}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 67, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 41, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 15, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 16, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 130, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 130, 91, 144}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 130, 91, 148}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 132, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 132, 146, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 132, 21, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 132, 22, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 133, 45, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 133, 45, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 134, 255, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 134, 255, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 134, 255, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 134, 68, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 135, 226, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 133, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 33, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 34, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 36, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 144}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 48}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 168, 37, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 169, 230, 136}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 169, 230, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 175, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 132, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 132, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 132, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 192, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 192, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 192, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 192, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 122, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 10, 127, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 10, 17, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 10, 17, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 10, 201, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 10, 201, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 10, 201, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 11, 53, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 38, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 48, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 244, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 8, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 8, 168, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 8, 37, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 8, 37, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 9, 159, 64}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 9, 159, 68}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 9, 159, 72}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 9, 41, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 9, 41, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 9, 41, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 9, 94, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 176, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 176, 32, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 176, 92, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 177, 154, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 177, 154, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 177, 154, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 177, 154, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 177, 154, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 177, 154, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 178, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 179, 42, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 111, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 24, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 133, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 209, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 209, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 192}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 194}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 196}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 198}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 200}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 202}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 211, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 213, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 219, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 56, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 56, 127, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 138, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 138, 252}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 138, 253}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 139, 240}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 139, 241}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 139, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 139, 250}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 139, 252}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 139, 253}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 148}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 149}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 168}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 169}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 170}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 171}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 172}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 173}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 174}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 175}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 176}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 177}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 178}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 153, 80}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 229, 148}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 229, 149}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 255, 35}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 255, 36}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 56, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 80, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 112, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 15, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 160, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 32, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 142, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 144, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 148, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 150, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 191, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 239, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 253, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 100, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 82, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 83, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 84, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 85, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 40, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 134, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 156, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 169, 0}), 24),
	},
	{Cloud: AWS, Region: "eu-west-3"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 36, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 36, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 36, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 53, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 92, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 92, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 155, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 18, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 18, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 18, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 76, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 77, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 78, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 84, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 84, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 84, 32}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 84, 44}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 84, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 36, 84, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 37, 1, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 38, 132, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 38, 140, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 38, 202, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 74, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 102, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 184, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 210, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 210, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 210, 196}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 210, 200}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 210, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 188, 210, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 50, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 156, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 70, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 71, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 71, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 82, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 236, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 236, 155, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 236, 231, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 236, 231, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 236, 80, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 16, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 242, 214}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 242, 84}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 18, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 20, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 32, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 32, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 32, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 32, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 122, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 33, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 224, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 1, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 1, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 1, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 1, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 1, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 1, 56}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 1, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 112, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 112, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 112, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 180, 244, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 181, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 181, 128, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 101, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 44, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 209, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 210, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 64, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 88, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 92, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 47, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 47, 139, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 47, 73, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 47, 73, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 123, 6}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 212}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 213}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 96}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 124, 97}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 250}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 251}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 17}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 198, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 16, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 154, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 156, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 72, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 135, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 157, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 248, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 161, 0}), 24),
	},
	{Cloud: AWS, Region: "il-central-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 64, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 65, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 190, 0, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 190, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 62, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 26}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 27}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 28}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 29}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 52, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 52, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 52, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 12, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 14, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 1, 5, 120, 0, 0, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 80, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 80, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 80, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 80, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 80, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 42, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 16, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 16, 104, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 84, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 32, 184}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 250, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 152, 0}), 21),
	},
	{Cloud: AWS, Region: "me-central-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 35, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 93, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 177, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 177, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 177, 4}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 219, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 0, 101, 0, 0, 0, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 96, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 97, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 104, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 105, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 112, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 160, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 240, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 241, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 242, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 248, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 249, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 252, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 254, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 255, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 34, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 211, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 229, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 255, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 255, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 63, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 63, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 65, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 70, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 70, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 70, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 28, 72, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 29, 17, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 29, 17, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 29, 3, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 29, 40, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 29, 40, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 29, 40, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 29, 57, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 48, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 104, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{51, 112, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 187, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 188, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 24, 0}), 22),
	},
	{Cloud: AWS, Region: "me-south-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 15, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 15, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 20, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 20, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 20, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 20, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 168}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 87, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 1, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 1, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 125, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 125, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 125, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 125, 232}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 125, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 125, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 153, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 184, 96}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 70, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 184, 70, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 141, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 141, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 144, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 245, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 251, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 33, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 33, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 33, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 33, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 86, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 185, 91, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 146, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 160, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 174, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 198, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 69, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 69, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 69, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 20, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 7, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 175, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 175, 102, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 175, 102, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 175, 102, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 175, 140, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 175, 255, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 241, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 241, 2, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 241, 25, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 24, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 25, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 0, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 48, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 49, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 52, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 53, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 224, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 224, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 224, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 58, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 80, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 112, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 113, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 114, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 120, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 121, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 122, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 124, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 126, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{42, 5, 208, 127, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 32, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 220, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 69, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 172, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 174, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 228, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 147, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 236, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 220, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 144, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 152, 0}), 22),
	},
	{Cloud: AWS, Region: "sa-east-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 114, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 14, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 14, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 27, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 27, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 71, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 81, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 18, 19, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 70, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 88, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 132, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 40, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 6, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 1, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 1, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 1, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 103, 240}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 104, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 105, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 106, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 107, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 107, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 126, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 126, 48}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 126, 72}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 129, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 144, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 150, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 151, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 64, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 72, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 92, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 92, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 92, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 228, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 229, 36, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 229, 40, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 0, 12}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 0, 14}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 0, 4}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 0, 5}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 0, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 0, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 197, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 250, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 252, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 63, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 63, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 63, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 63, 6}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 63, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 73, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 73, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 73, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 93, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 94, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 20}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 21}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 22}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 23}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 24}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 25}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 0, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 12, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 228, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 100}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 101}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 104}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 105}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 106}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 108}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 110}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 112}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 114}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 116}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 118}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 122}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 124}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 126}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 128}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 130}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 134}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 136}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 138}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 140}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 142}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 17}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 28, 22}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 6, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 69, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 70, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 0, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 12, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{177, 71, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{177, 71, 207, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{177, 72, 240, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 228, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 228, 1, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 228, 1, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 228, 1, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 228, 246, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 228, 70, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 100, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 100, 112}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 100, 116}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 100, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 100, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 100, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 220, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 220, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 37, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 37, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 70, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 229, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 230, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 230, 103, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 230, 104, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 230, 46, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 230, 46, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 230, 46, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 230, 54, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 105, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 105, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 105, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 105, 168}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 105, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 105, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 231, 194, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 30, 7, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 30, 15, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 224, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 224, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 224, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 131, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{40, 4, 8, 0, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{40, 4, 8, 0, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 35, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 49, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 232, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 106, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 172, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 67, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 122, 202}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 122, 203}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 206}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 207}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 234}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 235}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 160}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 161}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 70}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 71}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 146, 5}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 151, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 67, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 206, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 7, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 163, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 164, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 240, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 20, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 207, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 232, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 232, 40, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 233, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 233, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 233, 204, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 233, 255, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 233, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 244, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 94, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 78, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 79, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 80, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 81, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 120}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 149, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 234, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 164, 0}), 24),
	},
	{Cloud: AWS, Region: "us-east-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 56, 11}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 255, 56, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{107, 20, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{107, 23, 255, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 103, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 108, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 116, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 124, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 12, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 12, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 13, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 13, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 17, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 17, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 21, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 29, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 30, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 31, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 34, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 4, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 4, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 40, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 47, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 50, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 56, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 59, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 60, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 66, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 68, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 68, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 69, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 73, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 74, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 75, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 76, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 77, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 78, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 8, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 8, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 83, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 90, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 91, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 18, 50, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 120}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 56}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 161, 96}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 64, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 112, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 160, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 224, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 232, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 240, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 241, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 242, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 243, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 244, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 246, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 247, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 40, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 6, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 176, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 184, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 196, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 220, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 222, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 233, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 234, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 236, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 248, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 250, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 0, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 146, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 24, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 4, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 130, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 137, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 14, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 14, 17}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 14, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 14, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 14, 22}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 14, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 14, 252}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 142, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 145, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 148, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 157, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 162, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 168, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 169, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 169, 2}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 169, 3}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 169, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 169, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 18, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 184, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 192, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 193, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 201, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 204, 0}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 204, 1}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 204, 2}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 204, 3}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 205, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 206, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 208, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 214, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 216, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 218, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 220, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 221, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 242, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 245, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 248, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 254, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 254, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 254, 4}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 35, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 38, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 40, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 56, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 57, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 65, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 66, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 66, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 83, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 87, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 95, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 10}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 11}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 100, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 110, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 136, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 138, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 143, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 15, 124}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 15, 125}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 15, 126}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 15, 127}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 205, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 206, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 212, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 218, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 222, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 223, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 224, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 226, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 227, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 236, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 237, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 66, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 71, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 73, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 76, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 79, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 87, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 99, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 36, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{16, 182, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 250, 236, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 250, 237, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 250, 238, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{172, 96, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{174, 129, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 124, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 224}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 228}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 230}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 232}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 236}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 238}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 240}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 244}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 246}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 252}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 254}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 96, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 204, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 206, 107, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 206, 107, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 208, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 209, 113, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 209, 113, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 213, 156, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 32}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 36}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 40}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 44}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 232, 1, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 0, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 232, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 88, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{184, 72, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{184, 72, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{184, 73, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{192, 26, 25, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{199, 127, 232, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 236, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 45, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 224, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 240, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 244, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 246, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 247, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 248, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{207, 171, 160, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{207, 171, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{208, 110, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{208, 86, 88, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{209, 54, 176, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{216, 182, 224, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{216, 182, 232, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{216, 182, 238, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{23, 20, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{36, 6, 218, 0, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 16, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 16, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 17, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 18, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 19, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 20, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 21, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 23, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 24, 63, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 24, 127, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 24, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 33),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 25, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 26, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 28, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 31, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 32, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 33, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 35, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 36, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 37, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 39, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 40, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 41, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 42, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 44, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 47, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 129, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 129, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 129, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 128, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 128, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 128, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 128, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 128, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 128, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 128, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 240, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 240, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 240, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 240, 96, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 5, 156, 192, 31, 240, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 5, 156, 192, 31, 240, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 5, 156, 192, 31, 240, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 5, 156, 192, 31, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 5, 156, 192, 31, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 255, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 255, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 64),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 45),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 0, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 3, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 36, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 41, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 47, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 50, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 208, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 208, 72, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 202, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 83, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 83, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 83, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 83, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 83, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 83, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 83, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 84, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 84, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 85, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 85, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 85, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 85, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 87, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 209, 87, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 216, 135, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 216, 136, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 216, 144, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 216, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 216, 99, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 217, 228, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 180, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 180, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 180, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 181, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 181, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 182, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 182, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 183, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 218, 183, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 224, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 227, 250, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 227, 4, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 170, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 170, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 170, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 171, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 171, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 172, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 172, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 173, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 173, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 173, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 181, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 10}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 100}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 46}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 5}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 228, 182, 96}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 231, 2, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 234, 232, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 234, 248, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 235, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 235, 189, 100}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 235, 189, 96}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 235, 202, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 235, 26, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 235, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 236, 169, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 236, 169, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 236, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 236, 48, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 236, 94, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 237, 107, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 166, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 167, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 100}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 168}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 197}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 198}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 178, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 207, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 207, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 208, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 208, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 209, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 209, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 210, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 212, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 238, 216, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 12}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 136}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 46}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 5}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 152, 8}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 153, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 154, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 155, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 156, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 156, 10}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 156, 100}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 156, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 156, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 188}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 19}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 20}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 24}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 4}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 157, 96}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 239, 232, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 5, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 33, 34, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 33, 44, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 0, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 1, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 7, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 0, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 80, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 83, 168, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 91, 171, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 192, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 195, 252, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 224, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 226, 106, 180}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 226, 14, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 228, 4, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 231, 114, 205}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 231, 213, 21}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 236, 241, 44}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 238, 188, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 153, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 168, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 168, 231, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 170, 83, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 170, 83, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 170, 83, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 170, 83, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 170, 83, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 171, 100, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 171, 100, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 171, 100, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 171, 100, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 171, 100, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 172, 155, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 172, 155, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 68, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 0, 0}), 11),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 134, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 135, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 135, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 140, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 140, 128}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 140, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 245, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 192, 255, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 194, 111, 224}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 199, 180, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 199, 222, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 202, 79, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 206, 4, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 209, 84, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 210, 201, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 210, 202, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 210, 246, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 210, 64, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 212, 176, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 212, 178, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 212, 180, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 212, 182, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 212, 79, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 213, 61, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 213, 78, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 213, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 214, 144, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 214, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 214, 152, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 214, 156, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{46, 51, 208, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{50, 16, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{50, 19, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 0, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 196, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 206, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 212, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 214, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 224, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 232, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 192, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 192, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 192, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 192, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 193, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 193, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 193, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 194, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 195, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 200, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 200, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 2, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 20, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 200, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 216, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 23, 61, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 23, 62, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 4, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 44, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 164, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 166, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 168, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 170, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 250, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 252, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 54, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 55, 191, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 70, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 72, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 86, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 90, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 1, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 123, 136}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 123, 255}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 123, 98}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 123, 99}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 122}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 123}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 212}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 213}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 214}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 215}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 122}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 123}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 124}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 125}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 162}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 163}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 164}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 165}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 166}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 167}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 168}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 169}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 172}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 173}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 18}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 180}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 181}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 182}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 183}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 184}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 185}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 19}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 200}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 201}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 216}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 217}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 218}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 219}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 220}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 221}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 68}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 127, 69}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 236, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 243, 88}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 243, 89}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 3, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 37, 241}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 37, 242}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 4, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 128}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 129}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 130}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 131}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 134}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 136}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 138}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 140}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 142}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 144}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 146}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 148}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 150}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 152}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 154}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 156}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 158}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 160}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 162}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 164}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 166}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 168}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 170}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 172}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 174}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 176}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 178}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 180}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 182}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 184}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 186}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 188}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 190}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 192}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 50, 194}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 51, 116}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 51, 117}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 51, 28}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 51, 29}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 59, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 60, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 61, 198}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 61, 199}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 64, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 74, 238}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 74, 239}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 76, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 87, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 100}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 101}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 102}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 103}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 104}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 105}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 106}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 107}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 108}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 109}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 110}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 111}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 112}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 113}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 114}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 115}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 96}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 97}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 98}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 91, 99}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 0, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 124, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 132, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 11}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 44}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 9}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 192, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 201, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 240, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 244, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 252, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 254, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 68, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 108, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 208, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 245, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 41, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 48, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 52, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 62, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 63, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 144, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 152, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 156, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 160, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 172, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 174, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 196, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 198, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 204, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 208, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 210, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 221, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 224, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 226, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 231, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 234, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 236, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 103, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 104, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 108, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 98, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 196, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 202, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 208, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 228, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 232, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 242, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 243, 31, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 80, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 88, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 92, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{63, 246, 119, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 187, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 64, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 66, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 67, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 68, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 69, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{67, 202, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{67, 220, 240, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{68, 66, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 3, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 3, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 72}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 96}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 232, 92, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{72, 21, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{72, 41, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{72, 44, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{75, 101, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 172, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 100, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 102, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 104, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 12, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 131, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 84, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 88, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 92, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 0, 96, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{98, 80, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 184, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 128, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 129, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 151, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 187, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 191, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 192, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 165, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 166, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 167, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 171, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 175, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 176, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 188, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 101, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 88, 0}), 21),
	},
	{Cloud: AWS, Region: "us-east-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 166, 248, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 184, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 111, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 10, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 10, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 11, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 11, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 22, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 22, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 22, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 43, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 44, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 52, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 63, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 7, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 7, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 58, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 59, 250, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 66, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 32, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 134, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 135, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 140, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 167, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 179, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 179, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 179, 8}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 180, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 183, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 199, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 0}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 10}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 100}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 102}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 104}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 106}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 108}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 110}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 112}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 114}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 116}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 118}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 12}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 122}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 124}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 126}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 128}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 130}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 134}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 136}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 138}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 14}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 140}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 142}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 144}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 146}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 148}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 150}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 152}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 154}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 156}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 158}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 16}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 160}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 162}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 164}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 166}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 168}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 170}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 172}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 174}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 176}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 178}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 180}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 182}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 184}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 186}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 188}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 190}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 192}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 194}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 196}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 198}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 2}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 200}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 202}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 204}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 206}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 208}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 210}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 212}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 214}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 216}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 218}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 22}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 220}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 222}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 224}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 228}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 230}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 232}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 236}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 238}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 24}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 240}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 244}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 246}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 252}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 254}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 26}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 28}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 30}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 32}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 34}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 36}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 38}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 40}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 42}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 44}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 46}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 48}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 50}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 52}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 54}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 56}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 58}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 60}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 62}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 64}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 66}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 68}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 70}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 72}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 74}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 76}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 78}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 80}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 82}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 84}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 86}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 88}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 90}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 92}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 94}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 96}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 39, 98}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 71, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 71, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 72, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 8, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 233, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 32, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{172, 96, 110, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 116, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 117, 239, 68}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 188, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 188, 9, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 188, 9, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 188, 9, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 188, 9, 80}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 188, 9, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 189, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 190, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 191, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 216, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 216, 170, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 217, 41, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 217, 41, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 217, 41, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 217, 41, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 217, 41, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 220, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 224, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 252, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 72, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{198, 99, 2, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 22, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 35),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 38, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 96, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 96, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 96, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 96, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 96, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 96, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 131, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 131, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0}), 64),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 12, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 12, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 12, 23, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 12, 23, 88}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 12, 23, 92}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 128, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 128, 56, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 128, 56, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 128, 56, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 128, 93, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 13, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 130, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 131, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 132, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 134, 215, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 136, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 139, 136, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 139, 136, 184}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 139, 136, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 14, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 140, 136, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 141, 102, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 141, 102, 192}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 141, 102, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 141, 102, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 143, 206, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 144, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 144, 141, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 145, 220, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 145, 230, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 145, 232, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 145, 242, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 145, 31, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 145, 31, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 15, 35, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 15, 36, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 15, 36, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 16, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 16, 146, 0}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 17, 136, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 18, 132, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 18, 132, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 19, 147, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 19, 147, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 33, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 47, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 20, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 21, 86, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 28, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 128, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 132, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 102, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 14, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 196, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 15, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 15, 127, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 15, 247, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 141, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 142, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 143, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 176, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 212, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 224, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 228, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 232, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 32, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 62, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 60}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 61}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 62}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 63}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 64}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 65}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 199, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 4, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 251, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 28, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 29, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 74, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 75, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 76, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 77, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 7, 56}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{71, 141, 0, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 0, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 131, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 153, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 162, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 252, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 176, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 216, 0}), 22),
	},
	{Cloud: AWS, Region: "us-gov-east-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 175, 60, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{157, 152, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 126, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 145, 156}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 145, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 145, 168}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 145, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 145, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 165, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 165, 140}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 4, 0}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 4, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 56, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 252, 58, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 253, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 253, 186, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 254, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 254, 23, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 254, 61, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 254, 68, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 39, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 24, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 115, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 22, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 1, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 96, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 183, 0}), 24),
	},
	{Cloud: AWS, Region: "us-gov-west-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 175, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 141, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 150, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 176, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 176, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 28, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 28, 80}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 200, 28, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 205, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 205, 82, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 205, 84, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{160, 1, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{160, 1, 128, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 236, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0}), 64),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 8, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 8, 208, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 64),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 39, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 30, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 30, 129, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 30, 130, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 30, 204, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 30, 40, 84}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 30, 98, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 30, 98, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 32, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 32, 139, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 32, 190, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 32, 190, 244}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 32, 190, 248}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 116, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 208, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 222, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 176, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 61, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 61, 193, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 61, 40, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 9, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 100, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{75, 79, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{76, 223, 168, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{96, 127, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 184, 0}), 24),
	},
	{Cloud: AWS, Region: "us-west-1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 21, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 21, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 32, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 32, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 32, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 32, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 32, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 32, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 41, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 51, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 58, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 72, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 84, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 94, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 94, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 1, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 1, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 1, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 110, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 118, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 146, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 146, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 200, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 201, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 202, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 232, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 32, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 52, 6, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 56, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 56, 112, 168}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 56, 32, 200}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 57, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 57, 180, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 57, 180, 184}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 57, 180, 208}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 57, 180, 216}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 57, 180, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 18, 21, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{136, 8, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 81, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 150, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 16, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 49, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 0}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 17}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 196}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 198}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 22}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 16, 252}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 185, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 186, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 202, 0}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 28, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 36, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 42, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 5, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 58, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 67, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 67, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 67, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 88, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 89, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 0}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 1}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 13}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 14}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 15}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 2}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 3}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 4}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 5}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 6}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 251, 0, 7}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 101, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 106, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 140, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 199, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 213, 40}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 213, 41}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 221, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 231, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 112}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 114}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 116}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 118}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 122}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 123}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 124}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 125}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 126}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 224}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 51}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 88}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 89}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 90}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 93}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 94}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 232, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 0}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 1}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 10}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 100}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 102}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 103}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 104}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 106}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 108}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 110}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 112}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 114}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 116}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 118}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 12}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 122}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 124}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 126}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 128}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 130}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 134}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 136}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 138}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 14}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 140}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 142}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 16}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 18}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 2}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 20}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 22}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 24}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 26}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 28}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 3}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 30}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 32}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 34}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 36}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 38}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 4}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 40}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 42}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 44}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 46}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 48}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 5}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 50}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 52}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 54}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 56}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 58}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 60}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 62}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 64}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 66}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 68}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 70}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 72}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 74}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 76}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 78}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 80}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 82}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 84}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 86}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 96}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 234, 98}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 252, 244}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 252, 246}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 252, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 252, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 144, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 144, 158, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 144, 158, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 144, 184, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 144, 76, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 144, 76, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{184, 169, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{184, 72, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 236, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{204, 246, 160, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 228, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{216, 182, 236, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 28, 7, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 28, 15, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 192, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 192, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 192, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 192, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 5, 156, 192, 31, 240, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 5, 156, 192, 31, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 48, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 144}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 145}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 146}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 147}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 148}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 149}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 150}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 151}), 128),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0}), 64),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 100, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 114, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 114, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 145, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 145, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 156, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 157, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 158, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 160, 240}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 160, 44}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 160, 48}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 161, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 161, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 162, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 163, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 163, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 163, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 163, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 164, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 176, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 177, 20}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 177, 48}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 194, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 200, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 201, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 202, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 208, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 209, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 52, 208}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 52, 212}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 101, 87, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 41, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 3, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 160, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 117, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{50, 18, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 176, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 194, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 205, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 192, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 194, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 216, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 220, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 24, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 219, 255, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 52, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 52, 191, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 8, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 9, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 120, 178}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 122, 131}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 122, 255}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 123, 11}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 125, 42}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 125, 43}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 144}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 126, 145}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 212}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 213}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 214}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 216}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 218}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 220}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 222}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 224}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 226}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 228}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 230}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 232}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 236}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 238}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 240}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 141, 244}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 149, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 128}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 129}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 130}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 131}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 132}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 133}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 134}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 135}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 136}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 137}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 138}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 139}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 140}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 141}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 142}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 143}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 144}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 145}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 146}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 147}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 148}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 149}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 150}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 151}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 152}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 153}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 154}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 155}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 156}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 157}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 158}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 159}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 160}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 161}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 162}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 163}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 164}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 165}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 166}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 167}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 168}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 169}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 170}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 171}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 172}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 173}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 174}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 175}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 176}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 177}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 178}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 180}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 181}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 182}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 183}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 184}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 185}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 186}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 187}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 188}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 189}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 190}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 191}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 192}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 193}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 194}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 195}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 196}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 197}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 198}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 199}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 200}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 201}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 202}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 203}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 204}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 205}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 206}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 207}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 208}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 209}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 210}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 211}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 212}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 213}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 214}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 215}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 216}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 217}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 218}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 219}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 220}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 221}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 222}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 223}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 224}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 225}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 226}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 227}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 228}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 229}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 230}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 231}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 232}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 233}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 234}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 178, 235}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 237, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 32, 180}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 120}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 122}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 124}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 126}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 40}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 42}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 56}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 34, 57}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 37, 222}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 37, 223}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 144}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 146}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 148}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 152}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 154}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 156}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 158}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 160}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 162}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 164}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 55, 166}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 136}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 137}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 64}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 66}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 68}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 70}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 72}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 92, 74}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 94, 186}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 94, 187}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 12, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 144, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 66}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 67}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 68}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 152, 69}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 198, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 72, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 246, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 42, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 151, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 153, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 176, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 183, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 183, 255, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 193, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 215, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 219, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 102, 162}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 102, 232}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 102, 234}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 102, 236}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 198, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 212, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 241, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 241, 32, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 67, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 118, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 119, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 120, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 121, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 122, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 123, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 112}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{69, 107, 6, 120}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 132, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 154, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 251, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 82, 172, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 97, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 83, 98, 0}), 24),
	},
	{Cloud: AWS, Region: "us-west-2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 166, 224, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 166, 240, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 248, 112, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 14, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 14, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 23, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 24, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 24, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 24, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 24, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 25, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 25, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 25, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 25, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 26, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 26, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 26, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 26, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 28, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 42, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 54, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 55, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 57, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 61, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 67, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 68, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 68, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 70, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 79, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 82, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 85, 96}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 86, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 192}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 88, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 93, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{13, 34, 93, 160}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 104}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 16}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 32}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 56}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 64}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{142, 4, 160, 96}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 177, 80, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 116, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 245, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 248, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 250, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 251, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 252, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 253, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 181, 64, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 193, 7, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 200, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 202, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 204, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 205, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 206, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 207, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 208, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 224, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 226, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 252, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 220, 40, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 1, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 148, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 221, 7, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 240, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 247, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 67, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 68, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 68, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 230, 92, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 40, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 248, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 253, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{15, 254, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 102, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 15, 132}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 176, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 180, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 196, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 214, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 74, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{150, 222, 75, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{151, 148, 33, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 222, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{176, 32, 125, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 236, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 236, 61, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 237, 140, 160}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 246, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 244, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 34, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{18, 88, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{184, 32, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{205, 251, 232, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 1, 72, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 47),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 18, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 20, 7, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 20, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 34),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 20, 15, 255, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 27, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 28, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 29, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 30, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 34, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 36, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 43, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 44, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 45, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 46, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 36),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 96, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 97, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 104, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 105, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 64, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 64, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 64, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 64, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 112, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 160, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 240, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 241, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 242, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 248, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 249, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 250, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 64, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 64, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 251, 64, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 46),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 252, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 253, 133, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 254, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 31, 255, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 40),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 12, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 240, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 240, 240, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 39),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 255, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 6, 15, 64, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 56),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 0, 160, 128, 0, 0, 0, 0, 0, 0, 0, 0}), 58),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 7, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 8, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 32, 1, 8, 112, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 64),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 2, 40, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 3, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 4, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 4, 6, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 76, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{3, 5, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 208, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 226, 136}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 226, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 226, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 226, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 226, 224}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 226, 232}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 226, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 216, 51, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 217, 141, 0}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 217, 141, 16}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 217, 141, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 217, 141, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 119, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 119, 128}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 119, 144}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 119, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 119, 80}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 119, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 216, 160}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 216, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 216, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 218, 216, 240}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 221, 183, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 221, 183, 32}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 222, 66, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 112, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 112, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 112, 64}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 12, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 21, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 22, 176}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 37, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 45, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 45, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 46, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 46, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 47, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 47, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 49, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 51, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 64, 224}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 68, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 72, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 74, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 80, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 92, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 95, 176}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 223, 96, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 155, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 160, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 162, 63, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 167, 191, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 71, 64, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 80, 0, 0}), 12),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 80, 35, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 80, 36, 192}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 80, 36, 208}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 80, 36, 224}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 80, 88, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 80, 92, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 82, 136, 192}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 83, 248, 40}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 84, 36, 0}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 86, 187, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 86, 66, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 89, 72, 0}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 90, 103, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 90, 132, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 92, 124, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 92, 26, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 93, 124, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 224, 0, 0}), 11),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 227, 178, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 233, 54, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 106, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 108, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 113, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 123, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 123, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 22, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 28, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 54, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 73, 116}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 73, 120}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 234, 90, 252}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 143, 180}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 143, 224}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 143, 242}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 143, 244}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 143, 248}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 143, 250}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 143, 252}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 0}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 10}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 12}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 16}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 20}), 30),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 4}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 6}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 161, 8}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 176, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 177, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 177, 128}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 177, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 178, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 179, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 180, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 181, 0}), 27),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 181, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{44, 242, 184, 128}), 25),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{50, 112, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 10, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 160, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 119, 252, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 12, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 194, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 194, 64}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 197, 128}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 144, 197, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 218, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 24, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 32, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 36, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 40, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 43, 76, 88}), 29),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 180, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 46, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 75, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 88, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 92, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 12, 12}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 12, 13}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 120, 179}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 122, 218}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 14, 18}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 14, 19}), 32),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 20, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 146}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 148}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 150}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 152}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 154}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 156}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 158}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 160}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 162}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 164}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 166}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 168}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 170}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 172}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 174}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 176}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 178}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 180}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 182}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 184}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 186}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 188}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 190}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 192}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 194}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 196}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 198}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 200}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 202}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 93, 240, 204}), 31),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 10, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 116, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 120, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 128, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 197, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 208, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 248, 96}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 249, 64}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 28, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 94, 76, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 230, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 247, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 255, 112}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{52, 95, 40, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 148, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 184, 0, 0}), 13),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 190, 198, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 200, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 202, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 212, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 214, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 218, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 0, 32}), 28),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 2, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 239, 48, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 230, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 240, 248, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 244, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 244, 46, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 244, 52, 192}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 245, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 245, 168, 0}), 26),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{54, 68, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 65, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 70, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 71, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 72, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{64, 252, 73, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{70, 224, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 150, 56, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 151, 186, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 130, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 152, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 186, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 232, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 77, 253, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{99, 78, 196, 0}), 22),
	},
	{Cloud: GCP, Region: "asia-east1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 155, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 242, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 244, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 248, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{107, 167, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 240, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 0, 64, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 137, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 80, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 185, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 185, 160, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 187, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 189, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 194, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 201, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 206, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 221, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 229, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 235, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 236, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 32, 0}), 21),
	},
	{Cloud: GCP, Region: "asia-east2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 88, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 24, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 150, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 92, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 96, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 215, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 27, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 241, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 27, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 243, 8, 0}), 21),
	},
	{Cloud: GCP, Region: "asia-northeast1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 198, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 0, 64, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 62, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 190, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 146, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 164, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 192, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 64, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 84, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 85, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 187, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 189, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 190, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 194, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 200, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 213, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 221, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 230, 240, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 56, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 243, 64, 0}), 18),
	},
	{Cloud: GCP, Region: "asia-northeast2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 49, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 177, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 97, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 217, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 45, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 45, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 243, 56, 0}), 21),
	},
	{Cloud: GCP, Region: "asia-northeast3"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 22, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 22, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 128, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 132, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 136, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 64, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 68, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 72, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 64, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 216, 0, 0}), 17),
	},
	{Cloud: GCP, Region: "asia-south1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 100, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 108, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 44, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 152, 64, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 215, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 87, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 177, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 93, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 200, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 201, 41, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 207, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 42, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 208, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 42, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 244, 0, 0}), 18),
	},
	{Cloud: GCP, Region: "asia-south2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 120, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 56, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 126, 208, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 131, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "asia-southeast1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 106, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 58, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 42, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 126, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 126, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 142, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 143, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 210, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 82, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 88, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 21, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 87, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 87, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 185, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 186, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 187, 224, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 197, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 198, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 213, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 24, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 192, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 240, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 24, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 247, 128, 0}), 18),
	},
	{Cloud: GCP, Region: "asia-southeast2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 101, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 101, 18, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 101, 20, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 101, 24, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 101, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 101, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 128, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 152, 68, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 254, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 219, 0, 0}), 17),
	},
	{Cloud: GCP, Region: "australia-southeast1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 104, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 116, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 40, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 151, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 151, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 87, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 189, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 197, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 201, 0, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 213, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 41, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 41, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 244, 64, 0}), 18),
	},
	{Cloud: GCP, Region: "australia-southeast2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 122, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 58, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 126, 192, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 129, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "europe-central2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 116, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 116, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 52, 0}), 22),
	},
	{Cloud: GCP, Region: "europe-north1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 96, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 88, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 203, 232, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 217, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 26, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 228, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 26, 0}), 24),
	},
	{Cloud: GCP, Region: "europe-southwest1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 172, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 44, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 164, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 175, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "europe-west1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 66, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 68, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 72, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 80, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 2, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 4, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{192, 158, 28, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{23, 251, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 0, 64, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 254, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 140, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 22, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 22, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 76, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 187, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 187, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 189, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 190, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 195, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 205, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 206, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 210, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 233, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 240, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 241, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{8, 34, 208, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{8, 34, 211, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{8, 34, 220, 0}), 22),
	},
	{Cloud: GCP, Region: "europe-west12"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 124, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 250, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 17, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "europe-west2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 105, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 186, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 142, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 147, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 168, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 36, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 40, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 89, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 189, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 197, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 203, 210, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 203, 212, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 203, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 214, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 20, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 230, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 235, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 20, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 246, 0, 0}), 17),
	},
	{Cloud: GCP, Region: "europe-west3"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 112, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 107, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 244, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 48, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 141, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 159, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 89, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 198, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 198, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 207, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 207, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 18, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 235, 32, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 18, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 246, 128, 0}), 17),
	},
	{Cloud: GCP, Region: "europe-west4"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 126, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 62, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 141, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 147, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 208, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 220, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 80, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 92, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 90, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 204, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 214, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 16, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 160, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 16, 0}), 23),
	},
	{Cloud: GCP, Region: "europe-west6"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 110, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 46, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 65, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 216, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 44, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 235, 216, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 44, 0}), 24),
	},
	{Cloud: GCP, Region: "europe-west8"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 154, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 121, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 136, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 249, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 8, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 219, 224, 0}), 19),
	},
	{Cloud: GCP, Region: "europe-west9"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 155, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 12, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 140, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 163, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "global"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 32, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 4, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 8, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 48),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 102, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 27, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 107, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 110, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 111, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 116, 0, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 117, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 120, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 128, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 144, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 149, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 160, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 95, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 96, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 98, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 186, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 190, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 190, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 190, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 201, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 227, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 241, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 244, 128, 0}), 17),
	},
	{Cloud: GCP, Region: "me-central1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 126, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 252, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 18, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "me-west1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 216, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 90, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 165, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "northamerica-northeast1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 76, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 12, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 152, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 19, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 20, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 95, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 203, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 215, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 43, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 240, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 43, 0}), 24),
	},
	{Cloud: GCP, Region: "northamerica-northeast2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 32, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 114, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 50, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 130, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 152, 69, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 255, 0}), 24),
	},
	{Cloud: GCP, Region: "southamerica-east1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 16, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 151, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 151, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 95, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 198, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 199, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 215, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 40, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 235, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 40, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 247, 192, 0}), 18),
	},
	{Cloud: GCP, Region: "southamerica-west1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 50, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 178, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 176, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "us-central1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 114, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 116, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 120, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 154, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 155, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 197, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 198, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 198, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 198, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 198, 64, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{107, 178, 208, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 59, 80, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{130, 211, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{146, 148, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 222, 176, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{173, 255, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{199, 192, 115, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{199, 223, 232, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{199, 223, 236, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{23, 236, 48, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{23, 251, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 200, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 121, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 122, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 132, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 136, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 212, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 224, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 84, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 16, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 170, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 172, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 27, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 28, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 33, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 66, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 68, 0, 0}), 14),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 72, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 184, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 188, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 188, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 188, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 192, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 194, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 202, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 206, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 208, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 222, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 224, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 226, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 232, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 238, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{8, 34, 210, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{8, 34, 212, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{8, 34, 216, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{8, 35, 192, 0}), 21),
	},
	{Cloud: GCP, Region: "us-central2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{108, 59, 88, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{173, 255, 120, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 0, 64, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 22, 0, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 186, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 186, 128, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 206, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 46, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 46, 0}), 24),
	},
	{Cloud: GCP, Region: "us-east1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 196, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 196, 192, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 196, 65, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 196, 66, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 196, 68, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 196, 96, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{162, 216, 148, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 0, 64, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 250, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 138, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 148, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 23, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 24, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 26, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 73, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 74, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 98, 128, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 185, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 190, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 196, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 207, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 211, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 227, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 229, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 229, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 229, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 231, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 237, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 243, 128, 0}), 17),
	},
	{Cloud: GCP, Region: "us-east4"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 124, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 60, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 252, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 60, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 188, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 145, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 150, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 0, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 128, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 16, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 21, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 85, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 86, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 186, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 188, 224, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 194, 64, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 199, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 212, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 60, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 221, 0, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 230, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 234, 176, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 236, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 60, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 243, 40, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 245, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "us-east5"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 160, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 32, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 162, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "us-east7"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 56, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 184, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 161, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 206, 10, 0}), 23),
	},
	{Cloud: GCP, Region: "us-south1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 0, 128, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 174, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 46, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 174, 0, 0}), 16),
	},
	{Cloud: GCP, Region: "us-west1"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 198, 0, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 198, 96, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{104, 199, 112, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom16([16]byte{38, 0, 25, 0, 64, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}), 44),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 105, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 192, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 145, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 112, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 157, 240, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 168, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 19, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 82, 0, 0}), 15),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 185, 192, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 197, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 199, 144, 0}), 20),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 199, 160, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 203, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 212, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 227, 128, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 230, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 233, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 48, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 243, 32, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 247, 0, 0}), 17),
	},
	{Cloud: GCP, Region: "us-west2"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 102, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 64, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 108, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 248, 0}), 23),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 0, 0}), 21),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 20, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 94, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 215, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 47, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 235, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 236, 0, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 47, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 243, 0, 0}), 21),
	},
	{Cloud: GCP, Region: "us-west3"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 52, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 106, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 127, 180, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 22, 32, 0}), 19),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 217, 64, 0}), 18),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 220, 31, 0}), 24),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 242, 31, 0}), 24),
	},
	{Cloud: GCP, Region: "us-west4"}: {
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 104, 72, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 118, 240, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 124, 8, 0}), 22),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 125, 0, 0}), 16),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{34, 16, 128, 0}), 17),
		netip.PrefixFrom(netip.AddrFrom4([4]byte{35, 219, 128, 0}), 18),
	},
}
